<?php

namespace Nest\Cli\Commands;

use Nest\Cli\Cli;

/**
 * A CLI command handler.
 */
abstract class CommandHandler
{
	/**
	 * Initialize a CLI command handler.
	 * @param Cli $cli The CLI of the command.
	 * @param CommandContext $context Current command context.
	 */
	public function __construct(protected Cli $cli, protected CommandContext $context)
	{}
}
